:root {
    --rgb-text-body: 23, 23, 23;
    --color-text-body: rgb(var(--rgb-text-body));
    --color-text-mid: oklch(from rgb(var(--rgb-text-body)) calc(l + 0.2) c h);

    --rgb-original-xml-logo: 0, 172, 238;
    --rgb-electric-blue: 0, 112, 243;
    --rgb-blueprint-cyan: 0, 191, 255;
    --rgb-new-primary: 0, 128, 160;

    /* Branding */
    --rgb-ruby: var(--rgb-original-xml-logo);
    --rgb-ruby: var(--rgb-blueprint-cyan);
    --rgb-ruby: var(--rgb-new-primary);
}
@font-face {
    font-family: "Inter";
    src: url("/css/fonts/inter.woff2") format("woff2-variations");
    font-weight: 100 900;
    font-display: swap;
    font-style: normal;
}

@font-face {
    font-family: "Material Icons";
    src: url("/css/fonts/material-icons.woff2") format("woff2");
    font-weight: normal;
    font-style: normal;
    font-display: block;
}

.material-icons {
    font-family: "Material Icons";
    font-weight: normal;
    font-style: normal;
    font-size: 24px;
    line-height: 1;
    letter-spacing: normal;
    text-transform: none;
    display: inline-block;
    white-space: nowrap;
    word-wrap: normal;
    direction: ltr;
    -moz-font-feature-settings: "liga";
    -moz-osx-font-smoothing: grayscale;
}

body {
    background-color: #fff;
    font-family: "Inter", "Roboto", "Helvetica", "Arial", sans-serif;
    margin: 0;
    font-weight: 300;
	font-size: 1rem;
}

html {
    font-size: 16px;
}

div,
span,
td,
tr,
dt,
a {
    text-shadow: none !important;
    /* box-shadow: none !important; */
}

#outer_top {
    /* background-color: #b1d1e8; */
    font-size: 16px;
    /*padding-bottom: 30px;*/
    /* restyle*/

    padding-bottom: 120px;
}

#outer_top > nav.navbar {
    font-size: 24px;
    border-bottom: 1px solid #ddd;
    /*
	margin: 0px 30px 0px;
	border-bottom-left-radius: 6px;
	border-bottom-right-radius: 6px;
	box-shadow: 0 10px 20px -12px rgba(0, 0, 0, 0.42), 0 3px 20px 0px rgba(0, 0, 0, 0.12), 0 8px 10px -5px rgba(0, 0, 0, 0.2);
	// restyle
	*/
    margin: 0px;
    background-color: #f3f3f3;
    color: #666;
    padding: 10px 0;
    text-align: center;
    z-index: 10;
}

.navbar-toggle {
    padding: 0px 10px;
    margin-top: 12px;
}
i.navtoggle-close {
    display: none;
}

i.navtoggle-open {
    display: initial;
}

&[aria-expanded="true"] i.navtoggle-open {
    display: none;
}

&[aria-expanded="true"] i.navtoggle-close {
    display: initial;
}

.navbar-collapse {
    max-height: 500px;
    transition-duration: 0s;
}

nav.navbar .container,
footer .container,
#cont .container,
#header .container {
    max-width: 1170px;
}

#cont #wrapper,
#cont #header,
#cont .inner_wrap {
    width: 100%;
    border: none;
    box-shadow: none;
}

#top_section {
    max-width: 1200px;
    margin: auto;
    margin-bottom: 8px;
}

.navigate_section > ul {
    border: none;
}

#top_section,
#forumposts .windowbg,
#content_section #topic_container > div,
#inner_section,
.up_contain,
#info_center {
    box-shadow: none;
    background-image: none;
    border: none;
}

/* ------------------ */
#upper_section #inner_wrap,
#info_center .title_bar,
#boardindex_table .board_icon,
#messageindex .board_icon,
#boardindex_table .icons,
#messageindex .icons,
#boardindex_table .cat_bar,
#messageindex .cat_bar {
    display: none;
}

#messageindex,
#boardindex_table {
    /* font-size: 120%; */
}

.info {
    padding-left: 10px;
}

h1.forumtitle {
    padding: 0px;
    font-size: 2.2em;
}

.dropmenu a.active,
#top_info a.active {
    color: #fff;
    font-weight: bold;
    border: none;
    background: #337ab7;
}
/* ------------------ */

footer {
    margin: 20px 50px;
}

footer nav li a,
nav.navbar li a {
    color: inherit;
    font-weight: 400;
    font-size: 12px;
    text-transform: uppercase;
    border-radius: 3px;
}

footer ul {
    margin-bottom: 0;
    padding: 0;
    list-style: none;
}

footer nav li {
    display: inline-block;
}

footer a {
    color: #00aeef !important;
    font-weight: bold !important;
    padding: 15px;
}

.navbar .logo-container {
    display: block;
    /* max-width: 70%; */
}

.navbar .logo-container img {
    max-height: 50px;
}

#cont {
    position: relative;
    border-radius: 6px;

    margin: -20px 30px 0px 30px;
    padding: 20px;
}

a:hover {
    color: #666;
}

#footer {
    padding: 10px;
    text-align: center;
}

.pad-std {
    padding: 10px;
}

.the-card {
    background-color: #ffffff;
    margin-bottom: 20px;
    box-shadow:
        0 4px 5px 0 rgba(0, 0, 0, 0.14),
        0 1px 10px 0 rgba(0, 0, 0, 0.12),
        0 2px 4px -1px rgba(0, 0, 0, 0.2);
    border-radius: 0;
}

.plink {
    display: inline-block;
    /* border: 1px solid #ddd; */
    box-shadow: none;
}

.plink a {
    font-weight: bold;
    display: block;
    padding: 10px;
    color: #00aeef;
}

.plink a .hl {
    color: #900;
}

a .material-icons,
a:hover .material-icons,
a:focus .material-icons {
    vertical-align: middle;
}

@media screen and (max-width: 768px) {
    #outer nav.navbar,
    #cont,
    #header {
        margin: 0 !important;
    }

    #cont {
        padding: 10px;
    }

    .top-plink {
        display: none;
    }

    .body_content {
    }
}

.logo-container {
    flex: 1;
    line-height: 1;
	  white-space: nowrap;
}
.logo-container a {
    display: flex;
    /* justify-content: center; */
    align-items: center;
    gap: 0.2em;
}
.logo-container a,
.logo-container a:hover,
.logo-container a:focus {
    text-decoration: none;
}
.logo-container .logo-svg {
    height: 32px;
    margin: 0px 4px;
}
.logo-container .logo-text-1 {
    font-size: 40px;
    font-weight: 800;
    letter-spacing: -0.02em;
    color: rgb(var(--rgb-ruby));
}
.logo-container .logo-text-2 {
    font-size: 38px;
    font-weight: 500;
    margin-left: 0.04em;
    color: var(--color-text-mid);
}

.navbar-header {
    flex: 1;
    display: flex;
    align-content: center;
    align-items: center;
}
.navbar-nav {
    display: flex;
    align-content: center;
    align-items: center;
    overflow-x: auto;
}
.navbar-nav li {
    white-space: nowrap;
}
nav.navbar .container{
    display: flex;
    align-content: center;
    align-items: center;
	flex-wrap: wrap;
}